DCMTK: DcmRoleSelectionMap Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DcmRoleSelectionMap Class Reference

this helper class maintains a map of role selection lists. More...

## Public Member Functions
| DcmRoleSelectionMap ()
| constructor
| ~DcmRoleSelectionMap ()
| destructor
| DcmRoleSelectionMap (const DcmRoleSelectionMap &arg)
| Copy constructor, creates deep copy.
DcmRoleSelectionMap & | operator= (const DcmRoleSelectionMap &arg)
| Copy assignment operator, creates deep copy.
void | clear ()
| Resets DcmRoleSelectionMap and frees any allocated memory.
OFCondition | add (const char *key, const char *abstractSyntaxUID, T_ASC_SC_ROLE role)
| add new entry to list within map.
OFCondition | addEmpty (const char *key)
| add empty list within map.
OFBool | isKnownKey (const char *key) const
| checks if the key is known
OFCondition | checkConsistency (const char *key, const DcmPresentationContextMap &pclist, const char *pckey) const
| checks if each abstract syntax in the role selection list identified by key is also contained in the presentation context list identified by pckey and maintained by pclist.
const DcmRoleSelectionList * | getRoleSelectionList (const char *key) const
| returns the list of role selection items identified by the given key

## Private Attributes
OFMap< OFString, DcmRoleSelectionList * > | map_
| map of role selection lists

## Detailed Description

this helper class maintains a map of role selection lists.

Not intended for use by the end user.

## Member Function Documentation

## ◆ add()

OFCondition DcmRoleSelectionMap::add | ( | const char * | key,
|  | const char * | abstractSyntaxUID,
|  | T_ASC_SC_ROLE | role )

add new entry to list within map.

If key is new, new list is created. Otherwise value is appended to existing list.

Parameters

  key | map key
  abstractSyntaxUID | abstract syntax UID
  role | SCP/SCU role

Returns
  EC_Normal if successful, an error code otherwise

## ◆ addEmpty()

OFCondition DcmRoleSelectionMap::addEmpty | ( | const char * | key | ) |

add empty list within map.

If key is new, new list is created. Otherwise the request is ignored (no error).

Parameters

  key | map key

Returns
  EC_Normal if successful, an error code otherwise

## ◆ checkConsistency()

OFCondition DcmRoleSelectionMap::checkConsistency | ( | const char * | key,
|  | const DcmPresentationContextMap & | pclist,
|  | const char * | pckey ) const

checks if each abstract syntax in the role selection list identified by key is also contained in the presentation context list identified by pckey and maintained by pclist.

Parameters

  key | role selection key to check
  pclist | map of presentation context lists
  pckey | presentation context list key to check against

Returns
  EC_Normal if consistent, an error code otherwise

## ◆ getRoleSelectionList()

const DcmRoleSelectionList * DcmRoleSelectionMap::getRoleSelectionList | ( | const char * | key | ) | const

returns the list of role selection items identified by the given key

Parameters

  key | role selection list to search

Returns
  pointer to role selection list if found, NULL otherwise

## ◆ isKnownKey()

OFBool DcmRoleSelectionMap::isKnownKey | ( | const char * | key | ) | const

checks if the key is known

Parameters

  key | key name, must not be NULL

Returns
  true if key is known, false otherwise

The documentation for this class was generated from the following file:

- dcmnet/include/dcmtk/dcmnet/dccfrsmp.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1